> ## Name

> cgCreateSamplerStateAssignment - create a sampler state assignment

> ## Synopsis

>     #include <Cg/cg.h>

>     CGstateassignment cgCreateSamplerStateAssignment( CGparameter param,
>                                                       CGstate state );

> ## Parameters

> param
>   The sampler parameter to which the new state assignment will be associated.
> state
>   The state for which to create the new state assignment.

> ## Return Values

> Returns the handle to the created sampler state assignment.

> ## Description

> cgCreateSamplerStateAssignment creates a new state assignment for the given state and sampler parameter.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

> ## History

> cgCreateSamplerStateAssignment was introduced in Cg 1.5.

> ## See Also

> cgCreateTechnique, cgCreateStateAssignment, cgCreateSamplerState